summaryrefslogtreecommitdiff
path: root/help/fi/l10n_scripts/progress.sh
diff options
context:
space:
mode:
Diffstat (limited to 'help/fi/l10n_scripts/progress.sh')
-rwxr-xr-xhelp/fi/l10n_scripts/progress.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/help/fi/l10n_scripts/progress.sh b/help/fi/l10n_scripts/progress.sh
new file mode 100755
index 0000000..9c2a15e
--- /dev/null
+++ b/help/fi/l10n_scripts/progress.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+(
+echo "10" ; sleep 1
+echo "# Päivitetään postilokeja" ; sleep 1
+echo "20" ; sleep 1
+echo "# Nollataan cron-töitä" ; sleep 1
+echo "50" ; sleep 1
+echo "Tämä rivi vain ohitetaan" ; sleep 1
+echo "75" ; sleep 1
+echo "# Uudelleenkäynnistetään järjestelmä" ; sleep 1
+echo "100" ; sleep 1
+) |
+zenity --progress \
+ --title="Päivitetään järjestelmälokeja" \
+ --text="Tutkitaan postilokeja..." \
+ --percentage=0
+
+if [ "$?" = -1 ] ; then
+ zenity --error \
+ --text="Päivitys keskeytetty."
+fi